Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006163 [JEDI VCL] 00 JVCL Components minor always 2013-07-10 11:00 2015-09-14 13:20
Reporter Torbins View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006163: Truncated bookmark in TJvMemoryData
Description TJvMemoryData in JVCL 3.47 has such code for XE3:
procedure TJvMemoryData.InternalGotoBookmark(Bookmark: TJvBookmark);
//...
begin
  InternalGotoBookmarkData(TJvBookmarkData({$IFDEF RTL240_UP}PByte(@Bookmark[0]){$ELSE}Bookmark{$ENDIF RTL240_UP}^));

Here Bookmark gets truncated to one byte, while TBookmarkData is four
bytes long (integer). So fix will be:
  InternalGotoBookmarkData(TJvBookmarkData({$IFDEF RTL240_UP}PInteger(@Bookmark[0]){$ELSE}Bookmark{$ENDIF RTL240_UP}^));
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020569)
AHUser (developer)
2013-07-11 20:04

Fixed in master.

- Issue History
Date Modified Username Field Change
2013-07-10 11:00 Torbins New Issue
2013-07-11 20:04 AHUser Note Added: 0020569
2013-07-11 20:04 AHUser Status new => resolved
2013-07-11 20:04 AHUser Fixed in Version => Daily / SVN
2013-07-11 20:04 AHUser Resolution open => fixed
2013-07-11 20:04 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker